import { useRef, useEffect } from 'react';
import { select, axisLeft } from 'd3';

export const YAxis = ({ yScale, innerWidth }) => {
  const ref = useRef();
  useEffect(() => {
    const yAxisG = select(ref.current);
    const yAxis = axisLeft(yScale)
      .tickSize(-innerWidth)
      .tickPadding(18);
    yAxisG.call(yAxis);
    
   yAxisG.append('text')
    .attr('y', -80)
    .attr('x', -150)
    .attr('fill', 'black')
   .attr('transform', `rotate(-90)`)
    .attr('text-anchor', 'middle')
    .text('Life Expectancy of USA');
    
  }, []);
  return <g ref={ref} />;
};
