import React from 'react';
import ReactDOM from 'react-dom';
import { range } from 'd3';
import { loadData } from './loadData';
import { LineChart } from './LineChart';

const width = window.innerWidth;
const height = window.innerHeight-90;

//Define Load data
const App = () => {
  const data = loadData();
  return data
    ? <LineChart data={data} width={width} height={height} />
    : <div>Loading...</div>;
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
