import { useState, useEffect } from 'react';
import { csv, timeParse } from 'd3';

//Life Expectancy of USA csv file
const csvUrl = 'https://gist.githubusercontent.com/SonuSriN/a1f09c30fc262a24a3d96de2729485cf/raw/d0dd39739623d0201ac32fc42515b3eb2f0d35b9/Life%2520expectancy.csv';
const parseYear = timeParse('%Y');

//Load data
const transform = csvData => {
  return csvData.map(data => ({
    year: parseYear(data.Year),
    expectancy: data['Life expectancy']
  }));
};

export const loadData = () => {
  const [data, setData] = useState();
  
  useEffect(() => {
    csv(csvUrl).then(csvData => {
      setData(transform(csvData));
    });
  }, []);
  
  return data;
};
